<template>
	<view class="main">
		<view class="padding-lr-sm">
			<u-search placeholder="请输入搜索用户姓名" action-text="通话记录" @custom="tonghua" :action-style="{width:'110rpx'}" v-model="keyword"></u-search>
		</view>
		<view class="cu-list menu-avatar margin-top-xs">
			<view class="cu-item u-border-bottom" v-for="(item,index) in 5" :key="index" @click="goliaotian">
				<view class="cu-avatar radius lg" style="background-image:url(https://ossweb-img.qq.com/images/lol/img/champion/Taric.png);">
					<view class="cu-tag badge">10</view>
				</view>
				<view class="content">
					<view class="text-grey">
						<text class="text-cut">用户昵称</text>
						<view class="cu-tag round bg-orange sm">备注</view>
					</view>
					<view class="text-gray text-sm flex">
						<text class="text-cut">信息发送者：最近一条消息</text>
					</view>
				</view>
				<view class="action">
					<view class="text-grey text-xs">22:20</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		components: {

		},
		onLoad() {

		},
		mounted() {

		},
		data() {
			return {
				keyword: ""
			}
		},
		methods: {
			tonghua() {
				console.log("点击了通话记录")
			},
			goliaotian() {
				uni.navigateTo({
					url: "conversationWindow"
				})
			}
		}
	};
</script>

<style scoped lang="scss">

</style>
